ContactGroups

List members of a contact group

Returns a contact group's members, most recently joined first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/contact-groups/{id}/members

Returns a contact group's members, most recently joined first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

ContactGroupMemberPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contactGroups.getMembers({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "organizationId": "string",      "groupId": "string",      "contactId": "string",      "role": "member",      "joinedAt": "string",      "joinedBy": "string",      "expiresAt": "string",      "contact": {        "id": "string",        "name": "string",        "displayName": "string",        "type": "string",        "identities": [          {            "id": "string",            "type": "email",            "identifier": "string",            "verified": true,            "channels": [              {                "channel": "sms",                "reachability": "unknown",                "consent": {                  "status": "opted_in",                  "source": "string",                  "capturedAt": "string",                  "proof": {                    "property1": "string",                    "property2": "string"                  }                }              }            ]          }        ]      }    }  ],  "nextCursor": "string"}

Related documentation